
Redmine - Feature #374

Support for milestones/iterations as part of projects

2007-06-21 11:21 - Niko Schmuck

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

A version could consist of one to many iterations/sprints. This could also enhance the overview of the Roadmap (which

is a great help, btw), so that there are two level of "indentations" first version, second iterations.

Anyway this is a nice-to-have, since the existing version concept allows quite nicely to cluster the features/issues.

Related issues:

Related to Redmine - Feature #724: change "versions" to "milestones" New 2008-02-22

Related to Redmine - Feature #8991: Nested versions for projects with sub-pro... New 2011-08-05

Related to Redmine - Defect #12265: Issue editing shows diff on non changed t... New

Related to Redmine - Feature #13387: Improving Redmine's version model (not j... New

Has duplicate Redmine - Feature #9416: Support for a milestone Closed 2011-10-13

History

#1 - 2007-06-21 11:22 - Niko Schmuck

Sorry for typo in summary: should be:

"Support for milestones/iterations as part of projects"

#2 - 2007-11-23 10:28 - iGor kMeta

+1

#3 - 2007-12-04 15:05 - Rocco Stanzione

A good, complete implementation of the milestones idea would

really be valuable.  That was one set of features I really liked

about Mingle, which we ultimately rejected in favor of Redmine.

There, you can set up and schedule milestones, and even drag

and drop issues among milestones as priorities or schedules change.

There was a very nice "card" view, showing milestones

in chronological order with a flashcard-like appearance.  This

would be fantastic for Agile shops like ours, and like the submitter

said, could enhance the Roadmap view as well as overviews, Gantt

charts, etc.

#4 - 2012-11-02 12:09 - Daniel Felix

- Description updated

Well, some other suggestion could be, to implement a checkbox to define a milestone or a version in the roadmap tab.

versions could be subitems of milestones and vice versa.

Another addition could be to add versions as subversions and milestones as submilestones.

All could be handled with a simple parent to child relation of those items, and a type flag on the version item which decides if this is a version or a

milestone.

#5 - 2012-11-02 14:58 - Harald Glock

Thanks Daniel for popping up this old request.

I absolutely agree that it would make sense to have a kind of subversions, submilestones...

For software development I would normally use a "version" for a release of the software, but for development this version could be subdivided into
milestones.

For every version, support for sub-versions (they may be called milestone, iteration, etc...) would help a lot.

To make this more generic, the "version" (or whatever a good generic name would be then) should have a choosable name attribute like: Version,

milestone, iteration... This could even be free text.

But I think the most important part for the beginning would be to have parent child relations of versions. I think this would e.g. also help for the

redmine backlogs plugin (agile) which is currently using "versions" for sprints which makes the "versions" themselves unusable for real software

version handling.

#6 - 2013-03-07 12:22 - Anonymous

Have a look at my proposal over at issue #13387, where I describe adding issues' relationship model to versions to accomplish this and more.
